.header-container {
  @apply w-full relative flex flex-col items-center;

  .header-login-container {
    @apply flex justify-between items-center p-2 mr-auto ml-auto h-[40px];
    padding: 5px;
    gap: 636px;
    width: var(--default-width);
    background: var(--background3);
    flex: none;
    order: 0;
    flex-grow: 0;
    .el-form-item {
      margin-bottom: unset;
      margin-right: 5px;
    }
    #login-btn {
      border: unset;
      border-radius: unset;
    }
    .btn-sign-in-disable {
      background-color: var(--failure);
      opacity: 0.5;
    }
    .header-login-btn,
    .header-login-input input {
      height: 26px;
      font-size: 11px;
      border-radius: unset;
    }
    .header-login-input input {
      width: 140px;
      color: #757575;
    }
    .deposit-withdraw-btn {
      background: #ffa500;
      border: #ffa500;
    }
    .el-form {
      margin-bottom: unset;
    }
    #captcha-button {
      height: 26px;
      border-radius: unset;
    }
  }
  .menu-bar-group,
  .language-datetime {
    border-bottom: 1px solid #90a3cb;
  }
  .menu-bar-group {
    color: var(--secondary);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 68px;
    background: linear-gradient(
      180deg,
      #c3d9fa 0%,
      #fffffd 18%,
      #fffffd 80%,
      #c3d9fa 100%
    );
    flex: none;
    order: 1;
    flex-grow: 0;
    .active-menu,
    .nav-item:hover {
      color: #fff;
      border-top-right-radius: 5px;
      border-top-left-radius: 5px;
      box-sizing: border-box;
      cursor: pointer;
      background: linear-gradient(180deg, #5174b8 0%, #142c64 100%);
      background-size: 100% 100%;
      border-bottom: unset;
      .home-icon {
        display: none;
      }
      .home-icon-active {
        display: block;
      }
    }
    .active-menu::before,
    .nav-item a:hover::before {
      background: none;
      content: "";
      position: absolute;
      top: 1px;
      right: 1px;
      left: 1px;
      bottom: 0px;
      border: 1px solid #6d92d5;
      border-bottom: unset;
      border-top-right-radius: 5px;
      border-top-left-radius: 5px;
    }
  }
  .header-authencated {
    width: 100%;
    height: 40px;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 999;
  }
  .header-width {
    width: var(--default-width);
    margin-right: auto;
    margin-left: auto;
  }
  .header-btn {
    font-size: 12px;
    height: 26px;
    border-radius: unset;
    padding: 6px 10px;
    font-weight: 400;
    .el-tooltip__trigger {
      margin: 0px;
    }
  }
  .btn-auth-header-bg,
  .btn-auth-header-bg:hover {
    background-color: #3490dc;
    border: #3490dc;
    color: #fff;
    .text-sm {
      font-size: 12px;
      font-weight: 400;
    }
  }
  .language-datetime {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    width: var(--default-width);
    height: 24px;
    background: linear-gradient(180deg, #eaf0ff 0%, #bbd3f9 100%);
    flex: none;
    order: 1;
    flex-grow: 0;
    .pl-4 {
      padding-left: 0px;
    }
    .whitespace-nowrap {
      color: #274ea0;
      padding-left: 10px;
      font-size: 12px;
      display: flex;
      align-items: center;
      font-weight: 500;
    }
  }
  .product-list-feature-background {
    background-color: #08152c;
    width: var(--default-width);
    left: calc(50% - (var(--default-width) / 2));
  }
  .btn-auth-header-bg:last-child {
    margin-left: 5px;
  }
}
.header-full-width-content {
  width: 100% !important;
}
.body-container {
  flex: auto;
  width: var(--default-width);
  margin: auto;
  .component-container {
    gap: 1.5rem 0.8rem !important;
    padding: 1.5rem 0 !important;
  }
  div.container {
    width: unset;
    margin-top: unset;
    max-width: unset;
    .cock-back-img {
      width: 500px;
      height: 400px;
    }
    .cock-img-front-1 {
      left: 310px;
    }
  }
}
